Create Field
Body·
required
application/json
For field creation - enforces required fields
- Type: enumfield
Type requiredType of field
valuessystemeditable_systemcustomlinkedheaderscoadditionalformula - Type: ConfignullableconfigProperties: 1
Field configuration
- Type: enumnullabledata
Source Source of field data (optional for creation)
values- system
- manual
- hybrid
- company
- person
- lead
- deal
- contract
- Type: enumnullabledisplay
Type Type of field display (optional for creation)
values- text
- textarea
- number
- date
- date
_range - single
_select - multi
_select
- Type: Dreamerflownullabledreamer
Flow Properties: 1Dreamer flow configuration
- Type: booleannullablefilled
By Dreamer Whether field is filled by dreamer
- Type: stringnullablehelp
Text Help text for the field
- Type: stringnullablelabel
Display label for the field
- nullablelinked
Data Info Linked data information (LinkedDataInfo for LINKED fields, SCODataInfo for SCO fields)
Structured validation for linked data information
- sourceType: string
Key requiredSource key field
- targetType: string
Key requiredTarget key field
- targetType: string
Table requiredTarget table name
- targetType: string
Type requiredTarget field type
- targetType: stringnullable
Field Target field key; set from target_field_id on create
- targetType: stringnullable
Field Id Id of the target field (create input only, never stored)
- Type: booleanrequired
Whether the field is required
- Type: booleanshow
In Creation Whether to show in creation forms
- Type: booleanshow
In Detailed View Whether the field should be displayed in the entity's detailed view
- additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
Request Example for post/partners/fields/
curl https://crm.dreamhub.ai/api/v1/settings/partners/fields/ \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"label": "",
"fieldType": "system",
"displayType": "text",
"dataSource": "system",
"filledByDreamer": true,
"dreamerFlow": {
"additionalProperty": "anything"
},
"showInCreation": true,
"showInDetailedView": true,
"required": false,
"config": {
"additionalProperty": "anything"
},
"linkedDataInfo": {
"targetTable": "",
"sourceKey": "",
"targetKey": "",
"targetField": "",
"targetType": "",
"targetFieldId": ""
},
"helpText": "",
"additionalProperty": "anything"
}'
{
"id": "string",
"field": {
"label": "string",
"fieldType": "string",
"displayType": "string",
"dataSource": "system",
"filledByDreamer": true,
"dreamerFlow": {
"additionalProperty": "anything"
},
"showInCreation": true,
"showInDetailedView": true,
"required": false,
"config": {
"additionalProperty": "anything"
},
"linkedDataInfo": {
"targetTable": "string",
"sourceKey": "string",
"targetKey": "string",
"targetField": "string",
"targetType": "string"
},
"helpText": "string",
"id": "string",
"fieldKey": "string",
"order": 1,
"createdAt": "2026-09-29T00:02:20.336Z",
"isDeleted": false,
"readOnly": false,
"fieldManagement": {
"canEditDefinition": false,
"canHide": false,
"canDelete": false,
"canReorder": true,
"canEditOptions": false
},
"section": 1,
"additionalProperty": "anything"
}
}
